# Retrieve job details

Lists information about a specific job. This is useful, for example, when you want to get the provisioning status using the task identifier.

Endpoint: GET /api/v2/cm/branches/{branchId}/jobs/{jobId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `jobId` (string, required)
    The unique identifier of job details.

## Response 200 fields (application/json):

  - `id` (string,null, required)

  - `name` (string,null, required)

  - `options` (object, required)

  - `options.variables` (object,null)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.status` (object)

  - `system.status.state` (string)
    Enum: "Created", "Pending", "InProgress", "Completed", "Failed", "Stopped", "Waiting"

  - `system.status.description` (string,null)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `worksetId` (string,null, required)

  - `jobTypeId` (string,null, required)

  - `steps` (array,null)

  - `steps.name` (string,null)

  - `steps.description` (string,null)

  - `steps.taskTypeId` (string,null)

  - `steps.taskId` (string,null)

  - `steps.executionMode` (string)
    Enum: "Strict", "Lenient", "Selective"

  - `description` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
